Floppy devices
Implementation internals » Device handling

This should currently be called before scan_misc() so we can try to get the floppy controller resources in scan_misc() by actually accessing the floppy drive. More...

## Functions

static void | dump_floppy_data (hd_data_t *hd_data)
void | hd_scan_floppy (hd_data_t *hd_data)

## Detailed Description

This should currently be called before scan_misc() so we can try to get the floppy controller resources in scan_misc() by actually accessing the floppy drive.

(Otherwise there would be a rather longish timeout.)

This is all rather strange and should be rewritten...

## Function Documentation

## dump_floppy_data()

void dump_floppy_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by hd_scan_floppy().

## hd_scan_floppy()

void hd_scan_floppy | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), add_res_entry(), s_hd_t::attached_to, s_hd_t::base_class, bc_storage, bc_storage_device, s_hd_t::bus, bus_floppy, DEV_NVRAM, dump_floppy_data(), free_mem(), free_str_list(), hd_data, HD_DEB_FLOPPY, hd_probe_feature(), hd_id_t::id, s_hd_t::idx, mod_floppy, new_mem(), s_hd_t::next, s_str_list_t::next, pr_floppy, PROC_NVRAM_22, PROC_NVRAM_24, PROGRESS, read_file(), read_klog(), remove_hd_entries(), s_hd_t::res, res_size, sc_sdev_floppy, sc_sto_floppy, u_hd_res_t::size, size_unit_cinch, size_unit_sectors, s_hd_t::slot, s_str_list_t::str, str2float(), str_printf(), s_hd_t::sub_class, res_size_t::type, res_size_t::unit, s_hd_t::unix_dev_name, res_size_t::val1, and res_size_t::val2.

Referenced by hd_scan_no_hal().